<p align="center">
    <img src="https://picreso.oss-cn-beijing.aliyuncs.com/airs.png" width="150px">
  <p align="center" style="font-weight:bold">
    Distributed  -  Asynchronous  - Easy-to-use
  <br>
   <br>
 		An Easy-to-use and Fast Python Spider Framework
  <img src="http://picreso.oss-cn-beijing.aliyuncs.com/airdemo.png">
</p>




---

## Overview

> + **AirSpider** is a high-performance asynchronous crawler framework for developers 
> + Based on Redis: task distribution, task deduplication, and distributed ☁️

## Requirements

- Python 3.6
- Works on Linux, Windows, macOS

## Features

+ **Quick to Start **
+ **Low Coupling **
+ **High Cohesion **
+ **Easy Expansion **
+ **Orderly Workflow **

## Installation

``` shell
# For Linux && MacOS
pip3 install airspider


# For Windows
pip3 install airspider


```

  ## Documents

  + [Introduction](https://github.com/Xunzhuo/AirSpider/tree/master/Docs/cn/introduction.md)：Introduction to **AirSpider**
  + [Tutorials](https://github.com/Xunzhuo/AirSpider/tree/master/Docs/cn/tutorials.md)： Quick to program a Spider By **AirSpider**
  + [Plugins](https://github.com/Xunzhuo/AirSpider/tree/master/Docs/cn/plugins.md)：Program extensions for **AirSpider**

  ## Topics

  - [Item](https://github.com/Xunzhuo/AirSpider/tree/master/Docs/cn/topics/item.md)：Define Target in HTML
  - [Selector](https://github.com/Xunzhuo/AirSpider/tree/master/Docs/cn/topics/selector.md)：Select Target from HTML
  - [Request](https://github.com/Xunzhuo/AirSpider/tree/master/Docs/cn/topics/request.md)：Request Part
  - [Response](https://github.com/Xunzhuo/AirSpider/tree/master/Docs/cn/topics/response.md)：Response Part
  - [Middleware](https://github.com/Xunzhuo/AirSpider/tree/master/Docs/cn/topics/middleware.md)：Make Airspider Support to Extensions
  - [Spider](https://github.com/Xunzhuo/AirSpider/tree/master/Docs/cn/topics/spider.md)：Entrance for AirSpider

## TODO

+ Complete Plugins of Redis
+ Complete Distributed Architecture

## Contributing

**AirSpider**🕷️ is still under **Developing**

> Feel free to open issues💬 and pull requests

- Report or Fix bugs
- Build Powerful plugins
- Make documentation Better
- Add Examples of Spiders 

![](http://picreso.oss-cn-beijing.aliyuncs.com/monkey.jpg)